<div class="relative" (click)="toggleOptionMenu($event)">
  <figure class="flex items-center justify-center" clickOutside (clickOutside)="isShowOptionMenu = false">
    <button>
      <img src="/assets/icons/vertical-three-dot.svg" alt="option select button" />
    </button>
  </figure>
  @if(isShowOptionMenu){
    <div class="absolute right-2 top-6 z-50 flex flex-col space-y-4 rounded border border-gray-200 bg-white p-4 [&>button]:whitespace-nowrap [&>button]:text-sm [&>button]:font-semibold [&>button]:text-gray-700">
     @if(type === 'updateAndDelete'){
      <button (click)="update()">수정</button>
      <button (click)="delete()">삭제</button>
     }@else {
      <button (click)="delete()">추방</button>
     } 
    </div>
  } 
</div>
